Subject: Re: add folder name to filename
From: "Nikolaos A. Patsopoulos" <[email-masked]>
To: Eric Blake <[email-masked]>
Cc: [email-masked]
Date: Thu, 14 Sep 2006 15:35:28 +0300

Eric Blake wrote:
> -----BEGIN PGP SIGNED MESSAGE-----
> Hash: SHA1
>
> According to Nikolaos A. Patsopoulos on 9/14/2006 6:23 AM:
>   
>> I used the following script but doesn't work under cygwin:
>>
>> for file in folder*/*; do
>>      dir=$(basename $(dirname $file) )
>>      base=$(basename $file)
>>      mv $file $(dirname $file)/${dir}_${base}
>> done
>>     
>
> What is the actual error message you are seeing?  But I bet the problem is
> due to your missing quoting, so your problem is not cygwin-specific.  I
> would guess that you are having issues due to spaces or other shell
> metacharacters in the filenames being interpreted literally.
>
>   
>> Does anyone has a suggestion or where I should look?
>>     
>
> A good tutorial on shell programming?  Hint:
>
> for file in folder*/*; do
>      dir=$(basename "$(dirname "$file")")
>      base=$(basename "$file")
>      mv "$file" "$(dirname "$file")/${dir}_${base}"
> done
>
> (That won't work on filenames with \n as the last character, but
> fortunately, unless you use cygwin managed mounts, that is not an issue on
> cygwin).
>
> - --
> Life is short - so eat dessert first!
>
> Eric Blake             [email-masked]
> -----BEGIN PGP SIGNATURE-----
> Version: GnuPG v1.4.2.1 (Cygwin)
> Comment: Public key at home.comcast.net/~ericblake/eblake.gpg
> Comment: Using GnuPG with Mozilla - http://enigmail.mozdev.org
>
> iD8DBQFFCUuD84KuGfSFAYARAn1BAJ41A85ZHvKBAWtKa3tWKO+4fLrh5gCgkw+j
> fzK7C9kby5r6M26SQQk2pvo=
> =CZVE
> -----END PGP SIGNATURE-----
>
>
>   
I get the same error with my code and yours:

Script started, file is typescript

nothing happens, except an empty file called typescript in the parent 
directory

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/